Subject: Re: [PATCH v4 1/2] home-services: Add base.

From: Taiju HIGASHI <[email-masked]>
Date: Sun, 02 Oct 2022 22:45:03 +0900

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Taiju HIGASHI <[email-masked]> skribis:
>
>> * gnu/home.scm: Move home-fontconfig-service-type from
>> home-environment-default-essential-services to %home-base-services.
>> * gnu/home/services/base.scm: Add base.
>
> In addition to what Liliana wrote, please make sure to add the new file
> to ‘gnu/local.mk’.

I have added it.

>> @@ -82,7 +82,6 @@ (define (home-environment-default-essential-services he)
>>
>>     (service home-symlink-manager-service-type)
>>
>> -   (service home-fontconfig-service-type)
>>     (service home-xdg-base-directories-service-type)
>>     (service home-shell-profile-service-type)
>
> Like Liliana wrote, it may be that more of these can be moved from
> “essential” to “base”, we can keep that for a later patch.

Please let us address this in a later patch.

I would like to discuss something with you.
I'm aware that this patch is a breaking change. We are aware that if we
do not add %base-home-services to the existing home configuration, fontconfig will change.
I'm concerned about how the community will react to this.

Thanks,
-- 
Taiju